
	
# ******************************************************************************
# Generate a Dashboard for the LEDs

#
# Create Dashboard
set dash_path [add_service dashboard sys_dash "SoC Simple" "Tools/LED Dashboard"]
dashboard_set_property $dash_path self visible true

#Setup Group to Organize everything
dashboard_add $dash_path all group self
dashboard_set_property $dash_path all title "SoC Simple System"
dashboard_set_property $dash_path all itemsPerRow 1
##
#Buttons Groups
dashboard_add $dash_path buttons group all
dashboard_set_property $dash_path buttons title "LED Toggle"
dashboard_set_property $dash_path buttons itemsPerRow 4

#Insert LED 0 Button
dashboard_add $dash_path LED0 button buttons
dashboard_set_property $dash_path LED0 text "0"
dashboard_set_property $dash_path LED0 onClick {toggle_led $dash_path  0}

##Insert LED 1 Button
dashboard_add $dash_path LED1 button buttons
dashboard_set_property $dash_path LED1 text "1"
dashboard_set_property $dash_path LED1 onClick {toggle_led $dash_path 1}
#
##Insert LED 2 Button
dashboard_add $dash_path LED2 button buttons
dashboard_set_property $dash_path LED2 text "2"
dashboard_set_property $dash_path LED2 onClick {toggle_led $dash_path 2}
#
##Insert LED 3 Button
dashboard_add $dash_path LED3 button buttons
dashboard_set_property $dash_path LED3 text "3"
dashboard_set_property $dash_path LED3 onClick {toggle_led $dash_path  3}



# ******************************************************************************
# This Procedure toggles the LED when you push the button on the dashboard

proc toggle_led { dash_path led } {
 
	set master_path [lindex [get_service_paths master] 0]
	open_service master $master_path
	
	set led_read [master_read_8 $master_path 0x10040	1] 

	if {$led == 0 } {
	  set led_set [expr 1 ^ $led_read]
	  puts "TOGGLE 0"}
	
	if {$led == 1 } {
	  set led_set [expr 2 ^ $led_read]
	  puts "TOGGLE 1"}

	if {$led == 2 } {
	  set led_set [expr 4 ^ $led_read]
	  puts "TOGGLE 2"}
	
	if {$led == 3 }  {
	  set led_set [expr 8 ^ $led_read]
	  puts "TOGGLE 3"}
			
  	master_write_8 $master_path 0x10040 $led_set
	
	close_service master $master_path

}



